
//
// Przykładowy kod z rozdziału 5.7 "Błędy logiczne" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "std_lib_facilities.h"

//------------------------------------------------------------------------------

int main()
{
    vector<double> temps; // temperatury 

    double temp = 0;
    double sum = 0;
    double high_temp = 0;
    double low_temp  = 0;

    while (cin>>temp)         // Wczytuje i wysyła do temp.
        temps.push_back(temp);

    for (int i = 0; i<temps.size(); ++i)
    {
        if(temps[i] > high_temp) high_temp = temps[i];  // Znajduje najwyższą temperaturę.
        if(temps[i] < low_temp)  low_temp  = temps[i];  // Znajduje najniższą temperaturę.
        sum += temps[i];      // oblicza sumę
    }

    cout << "Najwyższa temperatura: " << high_temp<< endl;
    cout << "Najniższa temperatura: " << low_temp << endl;
    cout << "Średnia temperatura: " << sum/no_of_temps << endl;
}

//------------------------------------------------------------------------------
